Bug 1126577 - Mdadm should use "detail" rather than "examine"
Summary: Mdadm should use "detail" rather than "examine"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 20:19 UTC by Göran Uddeborg
Modified: 2015-03-19 18:04 UTC (History)
5 users (show)

Fixed In Version: logwatch-7.4.0-33.20140704svn198.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:39:25 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2014-08-04 20:19:50 UTC
Description of problem:
I get messages like these in the mdadm section of my nightly logwatch mail.

    mdadm: cannot open /dev/md/1: No such file or directory
    /dev/md/1 : 

Now I've got around to investigate what actually is wrong.  It seems to be the use of the "mdadm" command in the services/mdadm script.  In the absence of any /etc/mdadm.conf file, it uses the command "mdadm --examine --scan" to find all devices.  But it ought to use "mdadm --detail --scan" instead.

I sent a (slightly longer) report about this upstreams, see http://sourceforge.net/p/logwatch/mailman/message/32679812/  As you can see in the reply, this is something upstreams agrees on, and already have implemented.

Since releases of logwatch aren't very frequent, would it be possible to backport this fix in the Fedora package for the time being?  It's a rather trivial fix, after all.

Comment 1 Jan Synacek 2014-08-05 08:23:10 UTC
This was fixed by the upstream revision 180. I'll sync logwatch in F20 with the one in F21/rawhide, which is currently from revision 198.

Comment 2 Fedora Update System 2014-08-05 10:23:11 UTC
logwatch-7.4.0-33.20140704svn198.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/logwatch-7.4.0-33.20140704svn198.fc20

Comment 3 Göran Uddeborg 2014-08-05 21:27:25 UTC
Sounds good, thanks!

Comment 4 Fedora Update System 2014-08-07 15:29:29 UTC
Package logwatch-7.4.0-33.20140704svn198.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing logwatch-7.4.0-33.20140704svn198.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9198/logwatch-7.4.0-33.20140704svn198.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-15 02:39:25 UTC
logwatch-7.4.0-33.20140704svn198.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Cristian Gheorghe Florescu 2015-03-19 18:03:42 UTC
Fix mdadm logwatch script ...

Modify /usr/share/logwatch/scripts/services/mdadm
Change all the occurences of /etc/mdadm.conf with /etc/mdadm/mdadm.conf

Run and test logwatch after.

Comment 7 Cristian Gheorghe Florescu 2015-03-19 18:04:47 UTC
Or make a symlink from /etc/mdadm/mdadm.conf to /etc/mdadm.conf


Note You need to log in before you can comment on or make changes to this bug.